1. jpbrech's Avatar
    My wife and I just bought a coupe 8330 Curves on verizon and just started to play around. The question is the disk for the desk top manager....is this something I should be using? I started to but the version I have is not the most current. I know the Curve is not the latest and greatest so I just want to make sure that if I get the newest desktop manager it will work?? Do all you long time users use this?? I have been doing a lot of browsing and trying to learn what I can. Thanks to all!
    08-31-09 09:40 PM
  2. Jancy10's Avatar
    If you upgrade to the latest it will work fine with ur BB...I suggest you use 4.7 because I've heard many users are having problems with 5.0 but I mean u can give it a shot u might like it...
    08-31-09 09:48 PM
  3. jpbrech's Avatar
    Thanks for the quick response, I will give 4.7 a go, I can always update later.
    08-31-09 09:50 PM
  4. monkeee2002's Avatar
    I've been using BBDM v.5 with my 8330, no troubles. If you ask me , this program is a must-have, whatever revision you decide on.

    Posted from my CrackBerry at wapforums.crackberry.com
    08-31-09 09:53 PM
  5. AaronWasHere's Avatar
    Go 4.7 for now on a Curve... 5 has usually been used for the Tour and the Storm but you should be ok
    08-31-09 09:55 PM
  6. Straight42's Avatar
    5.0 should work just fine. If all else fails just reinstall 4.7. It's definitely a good idea though
    08-31-09 10:24 PM
  7. Reparkable's Avatar
    5 works fine for me. Try it, if there's problems, just downgrade.

    Posted from my CrackBerry at wapforums.crackberry.com
    08-31-09 10:28 PM
  8. jpbrech's Avatar
    Ok so I tried downloading 4.7 and come up with an error. Something about not being compatible.... I am running vista 64 bit on my laptop, anyone else have this issue??
    08-31-09 10:57 PM
  9. mikeyg164's Avatar
    Ouch. 64 bit might be problematic.

    Posted from my CrackBerry at wapforums.crackberry.com
    09-01-09 03:09 AM
  10. xliderider's Avatar
    Don't use DM 4.7 with the Curve. That is the one version of DM I don't advise you use.

    If you want speed and compatibility with newer BB's use 5.0.

    If you want solid reliability, go with 4.6

    To the OP, I have Vista 64-bit and you can run any of the DMs, just right click on the icon and select Properties, Run as Administrator, it also doesn't hurt to run in Compatibility Mode (XP).

    Posted from my CrackBerry at wapforums.crackberry.com
    09-01-09 03:54 AM
  11. 7thsunday's Avatar
    I've had a few back up problems with DM 5, so I uninstalled it and now I use DM 4.6, nessun problema.
    09-01-09 06:50 AM
  12. jpbrech's Avatar
    xliderider -
    So when I down load it I should save it not run it...then right click to run as administrator..correct. Thanks
    09-01-09 09:12 AM
  13. Nickberrry's Avatar
    I have used both 4.6 and 4.7 with my Curve, and I would recommend 4.7. I had read that 4.6 was the way to go, but after seeing what it lacked, I went back to 4.7 before doing the OS upgrades; which went smooth as silk.
    09-01-09 09:13 AM
  14. xliderider's Avatar
    xliderider -
    So when I down load it I should save it not run it...then right click to run as administrator..correct. Thanks
    Yes, that is correct.
    09-01-09 01:50 PM
  15. jpbrech's Avatar
    Thanks xliderider!
    09-01-09 10:42 PM
  16. jorger81's Avatar
    I had the 4.7 and after not realizing how the **** to work the DM, I downloaded the 5.0 version.

    Thankfully, after some patience, I figured out how to use DM and realized there wasnt a problem with 4.7, just with me. Lol

    So for the record, I use ver5.0 with no problems.
    09-02-09 04:08 AM
  17. lexcoupe2100's Avatar
    What issues were you guys experiencing with the older versions? I installed v5 when bought the 8330m few weeks ago and I have not actually done anything with it just connect.
    09-02-09 10:58 AM
LINK TO POST COPIED TO CLIPBOARD